import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-28 14:39
 */
export interface QuickTask {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心id
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 应用id
    * @type { string }
    */
    appId?: string;
    /**
    * 任务类型（01-url调用；02-中台服务调用）
    * @type { string }
    */
    taskType?: string;
    /**
    * 任务编号
    * @type { string }
    */
    taskCode?: string;
    /**
    * 任务名称
    * @type { string }
    */
    taskName?: string;
    /**
    * 概要介绍
    * @type { string }
    */
    description?: string;
    /**
    * Cron表达式
    * @type { string }
    */
    cron?: string;
    /**
    * 预计最大耗时
    * @type { number }
    */
    maxCostTime?: number;
    /**
    * 任务内容
    * @type { string }
    */
    taskContent?: string;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * 是否启用
    * @type { boolean }
    */
    enabled?: boolean;
    /**
    * 增删改为true，调度后为false
    * @type { boolean }
    */
    changed?: boolean;
    /**
    * last_run_time
    * @type { Date }
    */
    lastRunTime?: Date;
    /**
    * enable_alert
    * @type { boolean }
    */
    enableAlert?: boolean;
    /**
    * alert_cron
    * @type { string }
    */
    alertCron?: string;
    /**
    * alert_template_id
    * @type { string }
    */
    alertTemplateId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class QuickTaskMI {
    static get ID(): FieldInfo;
    static get SERVICE_CENTER_ID(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get TASK_TYPE(): FieldInfo;
    static get TASK_CODE(): FieldInfo;
    static get TASK_NAME(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get CRON(): FieldInfo;
    static get MAX_COST_TIME(): FieldInfo;
    static get TASK_CONTENT(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get ENABLED(): FieldInfo;
    static get CHANGED(): FieldInfo;
    static get LAST_RUN_TIME(): FieldInfo;
    static get ENABLE_ALERT(): FieldInfo;
    static get ALERT_CRON(): FieldInfo;
    static get ALERT_TEMPLATE_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
